Subject: Re: [Sipping] Service Identification in SIP

From: "Jeroen van Bemmel" <[email-masked]>
Date: Sun, 1 Apr 2007 17:59:44 +0200

Dean,

There are providers that offer the Internet model. They are called "Internet 
Service Providers", or ISPs. If traditional telco's would adopt the internet 
model, they would not be considered telco's anymore. In many cases, your 
"old-school network operators" also act as ISP in one way or another. You 
can get a subscription from such an ISP, and implement the "in the UA" model 
on top of that.

If I understand the "in the UA" service model, the role of the operator 
would be to host only a SIP proxy service? In today's regulatory systems 
such a model would not work, because of requirements on legal intercept 
(amongst others). In order to fulfill such requirements, telco's have no 
choice but to deploy an infrastructure that provides the necessary control.

So perhaps it should be considered that it is not necessarily the operators 
that are blocking adoption of this "ideal" architecture

Regards,
Jeroen

Dean Willis wrote:
> On Mar 30, 2007, at 5:31 PM, [email-masked] wrote:
>
>>
>> What I'm looking for is a service where application support must
>> necessarily be integral to the network, and cannot be provided by a
>> service that accesses the network "like any other UA".
>>
>
> There have been services defined to work this way ("in the network").
> However, I think that they could all be transformed without loss of
> function into "like any other UA" operation.
>
> However, the old-school network operators (carriers, whatever you
> want to call them) come from a background of doing things inside TDM
> circuit switches. They just don't get the INternet model. They don't
> WANT to get it. They don't want to recognize that their much-vaunted
> "in the network" services are not inherently "better" than "in the
> UA" services. The entire concept offends their world view and is as
> alien to their perspective as service-muddling "network elements" is
> to the Internet perspective. They were happy with broadband ISDN and
> BICC, they don't know why they switched to IP and SIP, and they have
> a hunch that if they can make the way IP works change to work like
> switched systems did then they'll magically be put back in control of
> all electronic communications, and that's where they want to be.
>
> This makes for very difficult negotiations.
>
> How many therapists does it take to change a light bulb?
>
> Only one, but the light bulb has to really WANT to change.
>
> Fortunately, unchanged light bulbs eventually burn out. 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: [email-masked]
Date: Sun, 1 Apr 2007 12:14:37 -0400

From: Dean Willis <[email-masked]>

Yeah, that's the critical queston.

   they'll magically be put back in control of all electronic
   communications, and that's where they want to be.

It's certainly a more profitable situation.

We don't need to negotiate, because there is nothing they have that we
want.

It's amazing how market competition drives IP adoption.

Dale

---

From: [email-masked] (Juha Heinanen)
Date: Sun, 1 Apr 2007 19:26:36 +0300

> choice but to deploy an infrastructure that provides the necessary

so far there is no legal intercept requirement in eu at least regarding
internet telephony.  i don't understand how such a thing would work and
i think authorities know it.

-- juha

---

From: "Jeroen van Bemmel" <[email-masked]>
Date: Sun, 1 Apr 2007 18:48:20 +0200

At the very least there is discussion about it, and as such it forms a risk 
for deployment. See e.g. 
http://tweakers.net/nieuws/46916/Tweede-Kamer:-Voip-valt-onder-telecommunicatiewet.html 
(in Dutch, sorry), in translation it states that the Dutch government 
considers internet telephony to fall under the existing telecom laws. This 
implies that it must be interceptable.

Regards,
Jeroen

Juha Heinanen wrote:
>> If I understand the "in the UA" service model, the role of the
>> operator would be to host only a SIP proxy service? In today's
>> regulatory systems such a model would not work, because of
>> requirements on legal intercept (amongst others). In order to
>> fulfill such requirements, telco's have no choice but to deploy an
>> infrastructure that provides the necessary control.
>
> so far there is no legal intercept requirement in eu at least
> regarding internet telephony.  i don't understand how such a thing
> would work and i think authorities know it.
>
> -- juha

---

From: [email-masked]
Date: Sun, 1 Apr 2007 23:49:43 -0400

From: "Jeroen van Bemmel" <[email-masked]>

My impression is that in the US, the government agencies just vacuum
up all the packets going to your UA.

Dale

---

From: Dean Willis <[email-masked]>
Date: Mon, 2 Apr 2007 14:12:30 -0500

On Apr 1, 2007, at 10:59 AM, Jeroen van Bemmel wrote:

> Dean,
>
> There are providers that offer the Internet model. They are called  
> "Internet Service Providers", or ISPs. If traditional telco's would  
> adopt the internet model, they would not be considered telco's  
> anymore. In many cases, your "old-school network operators" also  
> act as ISP in one way or another. You can get a subscription from  
> such an ISP, and implement the "in the UA" model on top of that.
>
> So perhaps it should be considered that it is not necessarily the  
> operators that are blocking adoption of this "ideal" architecture

You seem to have missed my point.

UA is not a synonym for UE and User Agent is NOT the same as User  
Equipment.

A mobile phone and a carrier-class voicemail platform can both be SIP  
User Agents. It is unlikely that an operator would consider them both  
User Equipment.

Some people are trying to build services at the routing layer that  
should instead be built at the application layer, because they think  
that "in the network" means the former and since they think they  
control "the network" that the service has to be built this way.

But the fact is that operators control a lot more than just the  
routing layer. They control (or potentially control) large-scale user  
agents (like voice mail services, conference bridges, etc.) that  
could be reasonably offered as services to end users.

It's not that we object to operators using their advantageous  
position to offer services via user agents. We object to them messing  
up the routing layer so that it 1) doesn't work right as a general  
model, and 2) makes the operator-controlled shared user-agent  
platforms the ONLY things that end users can access.

--
Dean

---

From: Paul Kyzivat <[email-masked]>
Date: Mon, 02 Apr 2007 15:29:34 -0400

Dean,

You're on a roll today.

	Amen! (again)
	Paul

Dean Willis wrote:
>> anymore. In many cases, your "old-school network operators" also act 
>> as ISP in one way or another. You can get a subscription from such an 
>> ISP, and implement the "in the UA" model on top of that.
>>
>> requirements on legal intercept (amongst others). In order to fulfill 
>> such requirements, telco's have no choice but to deploy an 
> that "in the network" means the former and since they think they control 
> "the network" that the service has to be built this way.
> 
> But the fact is that operators control a lot more than just the routing 
> layer. They control (or potentially control) large-scale user agents 
> (like voice mail services, conference bridges, etc.) that could be 
> reasonably offered as services to end users.
> 
> It's not that we object to operators using their advantageous position 
> to offer services via user agents. We object to them messing up the 
> routing layer so that it 1) doesn't work right as a general model, and 
> 2) makes the operator-controlled shared user-agent platforms the ONLY 
> things that end users can access.
> 
> -- 
> Dean
> 
> 
> 
> 
> 
>